> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Member

Removes the member from your programme however, the member will still have access to the ONSI app.

#### Relevant Error Codes

If there are any issues with the delete, the API will return a `400` status code with the following error codes:

* [InvalidRemoveMemberPayload](/api-reference/error-handling#invalidremovememberpayload)


## OpenAPI

````yaml DELETE /v1/members/{id}
openapi: 3.0.2
info:
  title: BMO Partner API
  version: v1
servers:
  - url: https://api.onsi.com
    description: Production
  - url: https://api.onsi.dev
    description: Sandbox
security:
  - apiKey: []
paths:
  /v1/members/{id}:
    delete:
      tags:
        - members
      operationId: removeMember
      parameters:
        - name: id
          in: path
          description: The unique identifier for a Member, prefixed with mem_
          required: true
          schema:
            example: mem_<id>
            type: string
        - name: x-idempotency-key
          in: header
          description: Unique key to ensure idempotency of the request
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    enum:
                      - OK
                required:
                  - message
                additionalProperties: false
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````